=== debian/control ===
Source: x11-session-utils
Section: x11
Priority: optional
Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Uploaders: David Nusinow <dnusinow@debian.org>, Julien Cristau <jcristau@debian.org>, Brice Goglin <bgoglin@debian.org>
Build-Depends: debhelper (>= 5.0.0), pkg-config, libxaw7-dev (>= 1:1.0.1-1), libxmu-dev (>= 1:1.0.1-1), libxt-dev (>= 1:1.0.0-1), quilt
# Reasons for build-depends:
# debhelper for the packaging, pkg-config needed by configure scripts
# Individual apps:
# rstart:
# smproxy: libxt-dev, libxmu-dev
# xsm: openssh-client | ssh, libxaw7-dev, libxt-dev
Standards-Version: 3.7.2.0
XS-Vcs-Git: git://git.debian.org/git/pkg-xorg/app/x11-session-utils
XS-Vcs-Browser: http://git.debian.org/?p=pkg-xorg/app/x11-session-utils.git

Package: x11-session-utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, cpp
Pre-Depends: x11-common (>= 1:7.0.0)
Conflicts: smproxy, xsm (<= 1:1.0.1-1)
Replaces: xbase-clients (<= 1:7.2.ds2-3), xutils (<= 1:7.1.ds.3-1), smproxy, xsm (<= 1:1.0.1-1)
Description: X session utilities
 This package provides the X session manager and related tools:
  - rstart;
  - smproxy, a session manager proxy for X clients that do not use the X
    session manager protocol;
  - xsm, a session manager for X sessions;
 Installation of an rsh or ssh daemon (server) is necessary if rstartd is
 to be used, and installation of an rsh or ssh client is necessary if
 rstart is to be used.
