## x11-session-utils 7.3+1build1

=== debian/changelog ===
x11-session-utils (7.3+1build1) karmic; urgency=low

  * No-change rebuild to gain FORTIFY defaults.

 -- Kees Cook <kees@ubuntu.com>  Mon, 11 May 2009 12:07:58 -0700
