## x11-session-utils 7.5+1

=== debian/changelog ===
x11-session-utils (7.5+1) unstable; urgency=low

  [ Julien Cristau ]
  * Add support for parallel=n in DEB_BUILD_OPTIONS, and for actually building
    the apps in parallel.  Install is still sequential, at least for now.
  * rstart 1.0.3.
    + updated config.{guess,sub}, with avr32 support (closes: #535714)

  [ Brice Goglin ]
  * smproxy 1.0.3.
  * Add README.source, bump Standards-Version to 3.8.3.

 -- Brice Goglin <bgoglin@debian.org>  Sun, 06 Dec 2009 22:55:25 +0100
