=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 # rstart:
 # smproxy: libxt-dev, libxmu-dev
 # xsm: openssh-client | ssh, libxaw7-dev, libxt-dev
-Standards-Version: 3.7.2.0
+Standards-Version: 3.8.3
 XS-Vcs-Git: git://git.debian.org/git/pkg-xorg/app/x11-session-utils
 XS-Vcs-Browser: http://git.debian.org/?p=pkg-xorg/app/x11-session-utils.git
