## x11-session-utils 7.6+1ubuntu1

=== debian/changelog ===
x11-session-utils (7.6+1ubuntu1) natty; urgency=low

  * Merge from Debian experimental. Remaining Ubuntu changes:
    - 100-smproxy-linking-fix.patch: Fix linking with --no-add-needed.

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Thu, 24 Feb 2011 09:36:08 +0200

x11-session-utils (7.6+1) unstable; urgency=low

  * Remove Brice Goglin and David Nusinow from Uploaders.  Thanks for your
    work!
  * Pass "--destdir ." to uscan when downloading tarballs.
  * Drop XS prefix from Vcs-* control fields.
  * Drop Pre-Depends on x11-common.
  * Bump Standards-Version to 3.9.1.
  * Upload to unstable.

 -- Julien Cristau <jcristau@debian.org>  Wed, 09 Feb 2011 19:00:24 +0100

x11-session-utils (7.6~1ubuntu1) natty; urgency=low

  * Merge from Debian experimental. Remaining Ubuntu changes:
  * 100-smproxy-linking-fix.patch: Fix linking with --no-add-needed.

 -- Robert Hooker <sarvatt@ubuntu.com>  Wed, 24 Nov 2010 08:55:11 -0500

x11-session-utils (7.6~1) experimental; urgency=low

  [ Julien Cristau ]
  * Rename the build directory to not include DEB_BUILD_GNU_TYPE for no
    good reason.  Thanks, Colin Watson!
  * Remove myself from Uploaders
  * Add a get-tarballs rule to make updating the package easier.

  [ Cyril Brulebois ]
  * New upstream release candidate: X11R7.6 RC1.
  * rstart 1.0.4
  * smproxy 1.0.4
  * xsm 1.0.2
  * Add an update-copyright target to refresh debian/copyright using
    upstream's COPYING files, thanks to Julien Cristau.
  * Refresh debian/copyright accordingly.
  * Pass $(confflags_$*) to configure so as to be able to specify an extra
    confflags_foo variable, specific to the foo package.
  * Set confflags_xsm = --with-rsh=rsh (no need for a full path, execlp()
    is used).
  * Drop 18_xsm_build_without_ssh.diff accordingly.
  * Stop passing RSH=rsh accordingly.
  * Stop passing MANCONF="/etc/manpath.config", that was for xman, which
    is now in x11-apps.
  * Stop passing --disable-xprint, it's gone.
  * Switch from --list-missing to --fail-missing for additional safety.
  * Wrap build-deps.
  * Add xutils-dev build-dep for new macros.
  * Add x11proto-core-dev build-dep for rstart.
  * Add libxmuu-dev and libsm-dev build-dep, drop libxmu-dev, for smproxy.
  * Add libice-dev and libx11-dev buil-dep for xsm.
  * Add myself to Uploaders.
  * Thanks to lintian:
     - Remove dash-revision in build-deps.
     - Fix dh_{makeshlibs,installdeb,shlibdeps} order.

 -- Cyril Brulebois <kibi@debian.org>  Sat, 13 Nov 2010 00:53:29 +0100
