## x11-session-utils 7.6+2

=== debian/changelog ===
x11-session-utils (7.6+2) unstable; urgency=low

  * smproxy 1.0.5
  * Wrap Depends/Conflicts/Replaces.
  * Drop Conflicts and Replaces, all of those packages are long gone.
  * Bump Standards-Version to 3.9.2 (no changes).

 -- Cyril Brulebois <kibi@debian.org>  Thu, 30 Jun 2011 14:19:59 +0200
