=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: x11-session-utils
 Section: x11
 Priority: optional
-Maintainer: Ubuntu X-SWAT <ubuntu-x@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
+Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
 Uploaders: Cyril Brulebois <kibi@debian.org>
 Build-Depends:
  debhelper (>= 5.0.0),
@@ -24,15 +23,16 @@
 # smproxy: libxt-dev, libxmuu-dev, libsm-dev
 # xsm: openssh-client | ssh, libxaw7-dev, libxt-dev, libsm-dev
 #      libice-dev, libx11-dev
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Vcs-Git: git://git.debian.org/git/pkg-xorg/app/x11-session-utils
 Vcs-Browser: http://git.debian.org/?p=pkg-xorg/app/x11-session-utils.git
 
 Package: x11-session-utils
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, cpp
-Conflicts: smproxy, xsm (<= 1:1.0.1-1)
-Replaces: xbase-clients (<= 1:7.2.ds2-3), xutils (<= 1:7.1.ds.3-1), smproxy, xsm (<= 1:1.0.1-1)
+Depends:
+ ${shlibs:Depends},
+ ${misc:Depends},
+ cpp,
 Description: X session utilities
  This package provides the X session manager and related tools:
   - rstart;
