## x11-session-utils 7.6+2build1

=== debian/changelog ===
x11-session-utils (7.6+2build1) quantal; urgency=low

  * Rebuild for new armel compiler default of ARMv5t.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 08 Oct 2012 23:28:00 +0100
