## x11-session-utils 7.6+2ubuntu1

=== debian/changelog ===
x11-session-utils (7.6+2ubuntu1) saucy; urgency=low

  * Update config.{sub,guess} for AArch64.
  * Use dpkg-buildflags.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 10 Oct 2013 15:39:45 +0200
