=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
 Uploaders: Cyril Brulebois <kibi@debian.org>
 Build-Depends:
  debhelper (>= 5.0.0),
+ autotools-dev,
  pkg-config,
  libice-dev,
  libsm-dev,
