## x11-session-utils 7.7+1

=== debian/changelog ===
x11-session-utils (7.7+1) unstable; urgency=low

  * rstart 1.0.5.
  * xsm 1.0.3.
  * Bump debhelper compat level to 7.
  * Disable silent build rules.
  * Adjust dh_install config file for move of xsm config to /etc.
  * Use dpkg-buildflags.
  * Update config.{guess,sub} at build time (closes: #727280).
  * Switch to dh.
  * chmod +x some files to work around rstart Makefile bug (fixed in upstream
    git)
  * Remove Cyril from Uploaders.

 -- Julien Cristau <jcristau@debian.org>  Thu, 26 Dec 2013 00:11:07 +0100
