=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: x11
 Priority: optional
 Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
-Uploaders: Cyril Brulebois <kibi@debian.org>
 Build-Depends:
- debhelper (>= 5.0.0),
+ dpkg-dev (>= 1.16.1),
+ debhelper (>= 7.4.10),
  autotools-dev,
  pkg-config,
  libice-dev,
