=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for the Debian xutils package.
# Copyright © 2004 Scott James Remnant <scott@netsplit.com>
# Copyright © 2005 Daniel Stone <daniel@fooishbar.org>
# Copyright © 2005 David Nusinow <dnusinow@debian.org>

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

STAMP_DIR = stampdir

# This package contains multiple modules as shipped by upstream. Each module is # contained in a subdirectory in the root dir of the package. You must list each
# subdirectory explicitly so that the build system knows what to build
DEF_SUBDIRS=rstart smproxy xsm
SUBDIRS=$(DEF_SUBDIRS)
CONFIG_STAMPS = $(addprefix $(STAMP_DIR)/configure-, $(SUBDIRS))
BUILD_STAMPS = $(addprefix $(STAMP_DIR)/build-,$(SUBDIRS))

%:
	dh $@ --with quilt,autotools-dev --parallel

override_dh_auto_configure: $(CONFIG_STAMPS)

$(STAMP_DIR)/configure-%:
	mkdir -p $(STAMP_DIR)
	dh_auto_configure -D$* -B$*-build -- \
		--disable-silent-rules \
		--with-rsh=rsh \
		$(shell DEB_CFLAGS_MAINT_APPEND=-Wall dpkg-buildflags --export=configure)
	>$@

override_dh_auto_build: $(BUILD_STAMPS)

$(STAMP_DIR)/build-%:
	dh_auto_build -D$* -B$*-build
	>$@

override_dh_auto_clean: $(addprefix clean-, $(SUBDIRS))
	rm -rf $(STAMP_DIR)

clean-%:
	dh_auto_clean -D$* -B$*-build

override_dh_auto_install:
	for FILE in $(SUBDIRS); do \
		cd "$$FILE"-build && $(MAKE) DESTDIR=$(CURDIR)/debian/tmp install ; \
		cd ..; \
	done
	find debian/tmp/usr/lib/X11/rstart/commands -type f ! -name '@*' -print0 | xargs -0 chmod +x

override_dh_install:
	dh_install --fail-missing

.PHONY: get-tarballs
get-tarballs: $(addprefix get-tarball-,$(SUBDIRS))

.PHONY: get-tarball-%
get-tarball-%:
	uscan --no-conf --destdir . --download --no-symlink --package $* --upstream-version $(shell awk -F = '/^PACKAGE_VERSION=/ { print $$2 }' < $*/configure ) --watchfile debian/watch.$* || test $$? = 1

.PHONY: update-copyright
update-copyright: $(addsuffix /COPYING, $(SUBDIRS)) debian/copyright.head
	cp debian/copyright.head debian/copyright
	for subdir in $(SUBDIRS); do \
		echo >> debian/copyright && \
		echo $$subdir: >> debian/copyright && \
		sed -e 's/^./  &/' < $$subdir/COPYING >> debian/copyright \
	|| exit; done
