## x11-session-utils 7.7+2

=== debian/changelog ===
x11-session-utils (7.7+2) unstable; urgency=medium

  * Let uscan verify tarball signatures.
  * smproxy 1.0.6.
  * Bump debhelper compat level to 9.

 -- Julien Cristau <jcristau@debian.org>  Fri, 01 May 2015 14:22:32 +0200
