=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
 Build-Depends:
  dpkg-dev (>= 1.16.1),
- debhelper (>= 7.4.10),
+ debhelper (>= 9),
  autotools-dev,
  pkg-config,
  libice-dev,
