=== debian/rules ===
--- 
+++ 
@@ -46,7 +46,7 @@
 		cd "$$FILE"-build && $(MAKE) DESTDIR=$(CURDIR)/debian/tmp install ; \
 		cd ..; \
 	done
-	find debian/tmp/usr/lib/X11/rstart/commands -type f ! -name '@*' -print0 | xargs -0 chmod +x
+	find debian/tmp/usr/lib/*/X11/rstart/commands -type f ! -name '@*' -print0 | xargs -0 chmod +x
 
 override_dh_install:
 	dh_install --fail-missing
