## x11-session-utils 7.7+2build1

=== debian/changelog ===
x11-session-utils (7.7+2build1) artful; urgency=medium

  * No-change rebuild to pick up -fPIE compiler default in static
    libraries

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 21 Apr 2017 21:00:39 +0000
