## x11-session-utils 7.7+3

=== debian/changelog ===
x11-session-utils (7.7+3) unstable; urgency=medium

  * Update Vcs-* URLs for move to salsa.
  * Switch all xorg.freedesktop.org URLs in packaging to https.
  * xsm 1.0.4

 -- Julien Cristau <jcristau@debian.org>  Sun, 18 Mar 2018 18:20:00 +0100
