=== debian/control ===
--- 
+++ 
@@ -25,8 +25,8 @@
 # xsm: openssh-client | ssh, libxaw7-dev, libxt-dev, libsm-dev
 #      libice-dev, libx11-dev
 Standards-Version: 3.9.2
-Vcs-Git: git://git.debian.org/git/pkg-xorg/app/x11-session-utils
-Vcs-Browser: http://git.debian.org/?p=pkg-xorg/app/x11-session-utils.git
+Vcs-Git: https://salsa.debian.org/xorg-team/app/x11-session-utils.git
+Vcs-Browser: https://salsa.debian.org/xorg-team/app/x11-session-utils
 
 Package: x11-session-utils
 Architecture: any
