## x11-session-utils 7.7+4

=== debian/changelog ===
x11-session-utils (7.7+4) unstable; urgency=medium

  [ Timo Aaltonen ]
  * control: Build-depend on x11proto-dev instead of -core-dev.
  * control, rules: Use debhelper-compat, bump to 12, run autoreconf.
  * control: Bump policy to 4.5.0.
  * Use source format 1.0.

  [ Michael Gilbert ]
  * Remove unneeded cpp dependency (closes: #793174).

 -- Timo Aaltonen <tjaalton@debian.org>  Sat, 29 Feb 2020 08:08:03 +0200
