=== debian/control ===
--- 
+++ 
@@ -4,8 +4,7 @@
 Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
 Build-Depends:
  dpkg-dev (>= 1.16.1),
- debhelper (>= 9),
- autotools-dev,
+ debhelper-compat (= 12),
  pkg-config,
  libice-dev,
  libsm-dev,
@@ -13,7 +12,7 @@
  libxmuu-dev,
  libxt-dev (>= 1:1.0.0),
  libx11-dev,
- x11proto-core-dev,
+ x11proto-dev,
  quilt,
  xutils-dev (>= 1:7.5+4),
 # Reasons for build-depends:
@@ -24,7 +23,7 @@
 # smproxy: libxt-dev, libxmuu-dev, libsm-dev
 # xsm: openssh-client | ssh, libxaw7-dev, libxt-dev, libsm-dev
 #      libice-dev, libx11-dev
-Standards-Version: 3.9.2
+Standards-Version: 4.5.0
 Vcs-Git: https://salsa.debian.org/xorg-team/app/x11-session-utils.git
 Vcs-Browser: https://salsa.debian.org/xorg-team/app/x11-session-utils
 
@@ -33,7 +32,6 @@
 Depends:
  ${shlibs:Depends},
  ${misc:Depends},
- cpp,
 Description: X session utilities
  This package provides the X session manager and related tools:
   - rstart;
