## x11-session-utils 7.7+4build1

=== debian/changelog ===
x11-session-utils (7.7+4build1) impish; urgency=medium

  * No-change rebuild to build packages with zstd compression.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Oct 2021 12:26:36 +0200
