## x11-session-utils 7.7+4build2

=== debian/changelog ===
x11-session-utils (7.7+4build2) jammy; urgency=high

  * No change rebuild for ppc64el baseline bump.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 25 Mar 2022 10:53:32 +0100
