=== debian/rules ===
--- 
+++ 
@@ -17,7 +17,16 @@
 BUILD_STAMPS = $(addprefix $(STAMP_DIR)/build-,$(SUBDIRS))
 
 %:
-	dh $@ --with quilt,autotools-dev --parallel
+	dh $@ --with quilt
+
+override_dh_autoreconf:
+	dh_autoreconf debian/rules -- autoreconf
+
+autoreconf-%:
+	cd $* && autoreconf -vfi
+
+.PHONY: autoreconf
+autoreconf: $(addprefix autoreconf-, $(SUBDIRS))
 
 override_dh_auto_configure: $(CONFIG_STAMPS)
 
@@ -48,8 +57,8 @@
 	done
 	find debian/tmp/usr/lib/*/X11/rstart/commands -type f ! -name '@*' -print0 | xargs -0 chmod +x
 
-override_dh_install:
-	dh_install --fail-missing
+override_dh_missing:
+	dh_missing --fail-missing
 
 .PHONY: get-tarballs
 get-tarballs: $(addprefix get-tarball-,$(SUBDIRS))
