## x11-session-utils 7.7+5

=== debian/changelog ===
x11-session-utils (7.7+5) unstable; urgency=medium

  * rstart 1.0.6.
  * xsm 1.0.5.
  * control: Bump debhelper-compat to 13, policy to 4.6.0.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 21 Apr 2022 20:13:09 +0300
