=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: x11-session-utils
 Section: x11
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
+Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
 Build-Depends:
  dpkg-dev (>= 1.16.1),
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  pkg-config,
  libice-dev,
  libsm-dev,
@@ -24,7 +23,7 @@
 # smproxy: libxt-dev, libxmuu-dev, libsm-dev
 # xsm: openssh-client | ssh, libxaw7-dev, libxt-dev, libsm-dev
 #      libice-dev, libx11-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Git: https://salsa.debian.org/xorg-team/app/x11-session-utils.git
 Vcs-Browser: https://salsa.debian.org/xorg-team/app/x11-session-utils
