## x11-session-utils 7.7+6

=== debian/changelog ===
x11-session-utils (7.7+6) unstable; urgency=medium

  * smproxy 1.0.7
  * control: Bump policy to 4.6.2.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 14 Nov 2023 16:00:19 +0200
