=== debian/control ===
--- 
+++ 
@@ -23,7 +23,7 @@
 # smproxy: libxt-dev, libxmuu-dev, libsm-dev
 # xsm: openssh-client | ssh, libxaw7-dev, libxt-dev, libsm-dev
 #      libice-dev, libx11-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/xorg-team/app/x11-session-utils.git
 Vcs-Browser: https://salsa.debian.org/xorg-team/app/x11-session-utils
