## x11-session-utils 7.7+6build2

=== debian/changelog ===
x11-session-utils (7.7+6build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 17:26:54 +0000

x11-session-utils (7.7+6build1) noble; urgency=medium

  * No-change rebuild against libxt6t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 09 Mar 2024 00:57:57 +0000
