=== debian/rules ===
--- 
+++ 
@@ -57,9 +57,6 @@
 	done
 	find debian/tmp/usr/lib/*/X11/rstart/commands -type f ! -name '@*' -print0 | xargs -0 chmod +x
 
-override_dh_missing:
-	dh_missing --fail-missing
-
 .PHONY: get-tarballs
 get-tarballs: $(addprefix get-tarball-,$(SUBDIRS))
