## x11-session-utils 7.7+6build3

=== debian/changelog ===
x11-session-utils (7.7+6build3) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 12 Jan 2026 17:22:50 +0000
